org.deidentifier.arx.risk

## Class RiskModelSampleRisks

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleRisks

    public class RiskModelSampleRisks
    extends java.lang.Object

Class for analyzing re-identification risks of the current sample and mixed risks which have been derived from privacy models

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`RiskModelSampleRisks(RiskModelHistogram histogram, ARXConfiguration config, boolean anonymous)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAverageRisk()` Returns the average re-identification risk
`double` `getEstimatedJournalistRisk()` Return journalist risk threshold, 1 if there is none
`double` `getEstimatedMarketerRisk()` Return marketer risk threshold, 1 if there is none
`double` `getEstimatedProsecutorRisk()` Return prosecutor risk threshold, 1 if there is none
`double` `getFractionOfRecordsAffectedByHighestRisk()` Returns the fraction of records affected by the highest re-identification risk
`double` `getFractionOfRecordsAffectedByLowestRisk()` Returns the fraction of records affected by the lowest re-identification risk
`double` `getHighestRisk()` Returns the highest re-identification risk of any records in the data set
`double` `getLowestRisk()` Returns the lowest re-identification risk of any records in the data set
`double` `getNumRecordsAffectedByHighestRisk()` Returns the number of records affected by the highest re-identification risk
`double` `getNumRecordsAffectedByLowestRisk()` Returns the number of records affected by the lowest re-identification risk

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RiskModelSampleRisks

    public RiskModelSampleRisks(RiskModelHistogram histogram,
                                ARXConfiguration config,
                                boolean anonymous)

Creates a new instance

Parameters:
  `histogram` -
  `config` -
  `anonymous` -

### Method Detail

#### getAverageRisk

    public double getAverageRisk()

Returns the average re-identification risk

Returns:

#### getEstimatedJournalistRisk

    public double getEstimatedJournalistRisk()

Return journalist risk threshold, 1 if there is none

Returns:

#### getEstimatedMarketerRisk

    public double getEstimatedMarketerRisk()

Return marketer risk threshold, 1 if there is none

Returns:

#### getEstimatedProsecutorRisk

    public double getEstimatedProsecutorRisk()

Return prosecutor risk threshold, 1 if there is none

Returns:

#### getFractionOfRecordsAffectedByHighestRisk

    public double getFractionOfRecordsAffectedByHighestRisk()

Returns the fraction of records affected by the highest re-identification risk

Returns:

#### getFractionOfRecordsAffectedByLowestRisk

    public double getFractionOfRecordsAffectedByLowestRisk()

Returns the fraction of records affected by the lowest re-identification risk

Returns:

#### getHighestRisk

    public double getHighestRisk()

Returns the highest re-identification risk of any records in the data set

Returns:

#### getLowestRisk

    public double getLowestRisk()

Returns the lowest re-identification risk of any records in the data set

Returns:

#### getNumRecordsAffectedByHighestRisk

    public double getNumRecordsAffectedByHighestRisk()

Returns the number of records affected by the highest re-identification risk

Returns:

#### getNumRecordsAffectedByLowestRisk

    public double getNumRecordsAffectedByLowestRisk()

Returns the number of records affected by the lowest re-identification risk

Returns: